GET /serviceengine/{uuid}/internal/

GET /serviceengine/{uuid}/internal/

/serviceengine/{uuid}/internal/

Request
URI
GET
https://{api_host}/api/serviceengine/{uuid}/internal
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ServiceEngineInternal of type(s) application/json
{
    "at_curr_ver": false,
    "bgp_peers_up": false,
    "cloud_uuid": "string",
    "controller_created": false,
    "controller_ip": "string",
    "data_vnics": [
        {
            "adapter": "string",
            "aggregator_chgd": false,
            "can_se_dp_takeover": false,
            "connected": false,
            "del_pending": false,
            "delete_vnic": false,
            "dhcp_enabled": false,
            "dp_deletion_done": false,
            "enabled": false,
            "if_name": "string",
            "ip6_autocfg_enabled": false,
            "is_asm": false,
            "is_avi_internal_network": false,
            "is_hsm": false,
            "is_mgmt": false,
            "is_portchannel": false,
            "link_up": false,
            "linux_name": "string",
            "mac_address": "string",
            "members": [
                {
                    "active": false,
                    "if_name": "string",
                    "mac_address": "string"
                }
            ],
            "mtu": 0,
            "network_name": "string",
            "network_ref": "string",
            "num_rx_descriptors": 0,
            "num_tx_descriptors": 0,
            "pci_id": "string",
            "port_uuid": "string",
            "tepless_ip": {
                "addr": "string",
                "type": "string"
            },
            "vlan_id": 0,
            "vlan_interfaces": [
                {
                    "dhcp_enabled": false,
                    "enabled": false,
                    "if_name": "string",
                    "ip6_autocfg_enabled": false,
                    "is_mgmt": false,
                    "vlan_id": 0,
                    "vnic_networks": [
                        {
                            "ctlr_alloc": false,
                            "ip": {
                                "ip_addr": {
                                    "addr": "string",
                                    "type": "string"
                                },
                                "mask": 0
                            },
                            "mode": "string"
                        }
                    ],
                    "vrf_ref": "string"
                }
            ],
            "vnic_networks": [
                {
                    "ctlr_alloc": false,
                    "ip": {
                        "ip_addr": {
                            "addr": "string",
                            "type": "string"
                        },
                        "mask": 0
                    },
                    "mode": "string"
                }
            ],
            "vrf_id": 0,
            "vrf_ref": "string"
        }
    ],
    "default_gws": [
        {
            "discovered": false,
            "ip": {
                "addr": "string",
                "type": "string"
            }
        }
    ],
    "ev": [
        "string"
    ],
    "gateway_up": false,
    "host_ref": "string",
    "inband_mgmt": false,
    "mgmt_vnic": {
        "adapter": "string",
        "aggregator_chgd": false,
        "can_se_dp_takeover": false,
        "connected": false,
        "del_pending": false,
        "delete_vnic": false,
        "dhcp_enabled": false,
        "dp_deletion_done": false,
        "enabled": false,
        "if_name": "string",
        "ip6_autocfg_enabled": false,
        "is_asm": false,
        "is_avi_internal_network": false,
        "is_hsm": false,
        "is_mgmt": false,
        "is_portchannel": false,
        "link_up": false,
        "linux_name": "string",
        "mac_address": "string",
        "members": [
            {
                "active": false,
                "if_name": "string",
                "mac_address": "string"
            }
        ],
        "mtu": 0,
        "network_name": "string",
        "network_ref": "string",
        "num_rx_descriptors": 0,
        "num_tx_descriptors": 0,
        "pci_id": "string",
        "port_uuid": "string",
        "tepless_ip": {
            "addr": "string",
            "type": "string"
        },
        "vlan_id": 0,
        "vlan_interfaces": [
            {
                "dhcp_enabled": false,
                "enabled": false,
                "if_name": "string",
                "ip6_autocfg_enabled": false,
                "is_mgmt": false,
                "vlan_id": 0,
                "vnic_networks": [
                    {
                        "ctlr_alloc": false,
                        "ip": {
                            "ip_addr": {
                                "addr": "string",
                                "type": "string"
                            },
                            "mask": 0
                        },
                        "mode": "string"
                    }
                ],
                "vrf_ref": "string"
            }
        ],
        "vnic_networks": [
            {
                "ctlr_alloc": false,
                "ip": {
                    "ip_addr": {
                        "addr": "string",
                        "type": "string"
                    },
                    "mask": 0
                },
                "mode": "string"
            }
        ],
        "vrf_id": 0,
        "vrf_ref": "string"
    },
    "name": "string",
    "resources": {
        "cores_per_socket": 0,
        "disk": 0,
        "hyper_threading": false,
        "hypervisor_mode": false,
        "memory": 0,
        "num_datapath_processes": 0,
        "num_vcpus": 0,
        "qat_mode": "string",
        "qat_oper_mode": "string",
        "sockets": 0
    },
    "se_group_uuid": "string",
    "sufficient_memory": false,
    "tenant_uuid": "string",
    "uuid": "string",
    "version": "string"
}
boolean
at_curr_ver
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
bgp_peers_up
Optional
Constraints: default: true

Indicates if at least 1 BGP peer with advertise_vip is UP and at least 1 BGP peer with advertise_snat_ip is UP if there are such peers configured. Flag will be set to false if the condition above is not true for any of the VRFs configured on the SE. Field introduced in 21.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
cloud_uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
controller_created
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
controller_ip
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
data_vnics
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of object
default_gws
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

array of string
ev
Optional

Event history of this SE. Field introduced in 22.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
gateway_up
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
host_ref
Optional

It is a reference to an object of type VIMgrHostRuntime. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
inband_mgmt
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
mgmt_vnic
Optional

mgmt_vnic

string
name
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
resources
Optional

resources

string
se_group_uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
sufficient_memory
Optional
Constraints: default: true

Field introduced in 18.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
tenant_uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
version
Optional
Constraints: default: 0.0.0

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/serviceengine/{uuid}/internal
                
Service Engine Operations
GET
GET /serviceengine
GET
GET /serviceengine/{uuid}
PUT
PUT /serviceengine/{uuid}
PATCH
PATCH /serviceengine/{uuid}
DELETE
DELETE /serviceengine/{uuid}
POST
POST /serviceengine/{uuid}/reboot
POST
POST /serviceengine/{uuid}/forcedelete
POST
POST /serviceengine/{uuid}/switchover
POST
POST /serviceengine/clear
GET
GET /serviceengine/{uuid}/runtime/
GET
GET /serviceengine/{uuid}/runtime/detail/
GET
GET /serviceengine/{uuid}/internal/
GET
GET /serviceengine/{uuid}/ipstat/
GET
GET /serviceengine/{uuid}/arpstat/
GET
GET /serviceengine/{uuid}/icmpstat/
GET
GET /serviceengine/{uuid}/mbufstats/
GET
GET /serviceengine/{uuid}/mallocstats/
GET
GET /serviceengine/{uuid}/shmallocstats/
GET
GET /serviceengine/{uuid}/seassertstats/dp/
GET
GET /serviceengine/{uuid}/seassertstats/ag/
GET
GET /serviceengine/{uuid}/sevshbstats/
GET
GET /serviceengine/{uuid}/sevssplacement/
GET
GET /serviceengine/{uuid}/cpu/
GET
GET /serviceengine/{uuid}/cpu/detail/
GET
GET /serviceengine/{uuid}/meminfo/
GET
GET /serviceengine/{uuid}/interface/
GET
GET /serviceengine/{uuid}/systeminfo/
GET
GET /serviceengine/{uuid}/hugepageinfo/
GET
GET /serviceengine/{uuid}/bgp/
GET
GET /serviceengine/{uuid}/bgp/debug/
GET
GET /serviceengine/{uuid}/bgp/advertised_routes/
GET
GET /serviceengine/{uuid}/bgp/peer_status/
GET
GET /serviceengine/{uuid}/bgp/peer_info/
GET
GET /serviceengine/{uuid}/bgp/running_config/
GET
GET /serviceengine/{uuid}/bgp/peer_state/
GET
GET /serviceengine/{uuid}/bfd/running_config/
GET
GET /serviceengine/{uuid}/bfd/session_status/
GET
GET /serviceengine/{uuid}/interfacesummary/
GET
GET /serviceengine/{uuid}/interface/lacp/
GET
GET /serviceengine/{uuid}/lldp/
GET
GET /serviceengine/{uuid}/route/
GET
GET /serviceengine/{uuid}/ip6route/
GET
GET /serviceengine/{uuid}/arptable/
GET
GET /serviceengine/{uuid}/httpstats/
GET
GET /serviceengine/{uuid}/seruminsertionstats/
GET
GET /serviceengine/{uuid}/selogstats/
GET
GET /serviceengine/{uuid}/seauthstats/
GET
GET /serviceengine/{uuid}/vnicdb/
GET
GET /serviceengine/{uuid}/vnicdbhistory/
GET
GET /serviceengine/{uuid}/graphdb/
GET
GET /serviceengine/{uuid}/seagent/
GET
GET /serviceengine/{uuid}/resourcemap/
GET
GET /serviceengine/{uuid}/consistenthash/
GET
GET /serviceengine/{uuid}/appmap/
GET
GET /serviceengine/{uuid}/shardclientevents/
GET
GET /serviceengine/{uuid}/qatinfo/
GET
GET /serviceengine/{uuid}/rteringstat/
GET
GET /serviceengine/{uuid}/sehmprobedisable/
GET
GET /serviceengine/{uuid}/flowtablestat/
GET
GET /serviceengine/{uuid}/flowtable/
GET
GET /serviceengine/{uuid}/vshash/
GET
GET /serviceengine/{uuid}/flowtable_remote/
GET
GET /serviceengine/{uuid}/tcp-flows/
GET
GET /serviceengine/{uuid}/sctp-flows/
GET
GET /serviceengine/{uuid}/tcp-flows/detail/
GET
GET /serviceengine/{uuid}/sctp-flows/detail/
GET
GET /serviceengine/{uuid}/metrics/
GET
GET /serviceengine/{uuid}/metrics/detail/
GET
GET /serviceengine/{uuid}/metrics/debug/
GET
GET /serviceengine/{uuid}/metrics/debug/summary/
GET
GET /serviceengine/{uuid}/dosstat/
GET
GET /serviceengine/{uuid}/memdist/
POST
POST /serviceengine/{uuid}/faultinject/exhaust_mbuf/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_mcl/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_mcl_small/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_conn/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_shm_conn/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_cfg/clear
POST
POST /serviceengine/{uuid}/faultinject/exhaust_shm_cfg/clear
POST
POST /serviceengine/{uuid}/faultinject/sefault/clear
GET
GET /serviceengine/{uuid}/placement/
GET
GET /serviceengine/{uuid}/reservedvs/
GET
GET /serviceengine/{uuid}/microservice/
GET
GET /serviceengine/{uuid}/ndtable/
GET
GET /serviceengine/{uuid}/ip6stat/
GET
GET /serviceengine/{uuid}/icmp6stat/
GET
GET /serviceengine/{uuid}/natstat/
GET
GET /serviceengine/{uuid}/nat-flows/
GET
GET /serviceengine/{uuid}/network-service/
GET
GET /serviceengine/{uuid}/natpolicystats/
GET
GET /serviceengine/{uuid}/vrf-ip-info/
GET
GET /serviceengine/{uuid}/ratelimiting/rl/internal/
GET
GET /serviceengine/{uuid}/ratelimiting/msf/internal/
GET
GET /serviceengine/{uuid}/routestat/
GET
GET /serviceengine/{uuid}/route-flows/
GET
GET /serviceengine/{uuid}/objsync/
GET
GET /serviceengine/{uuid}/resolverdb/
GET
GET /serviceengine/{uuid}/resolverdbsummary/
GET
GET /serviceengine/{uuid}/seagent_sedatastore_download_fail_obj_list/
GET
GET /serviceengine/{uuid}/botuacacheruntime/
GET
GET /serviceengine/{uuid}/botuacachestatsruntime/
GET
GET /serviceengine/{uuid}/placement/summary/
GET
GET /serviceengine/{uuid}/placement/detail/
GET
GET /serviceengine/{uuid}/adaptiveevents/
GET
GET /serviceengine/{uuid}/dpmetrics/
GET
GET /serviceengine/{uuid}/objsync_stats/
GET
GET /serviceengine/{uuid}/diameter/connections/
GET
GET /serviceengine/{uuid}/dump_objsync_stats/
GET
GET /serviceengine/{uuid}/qatstats/
GET
GET /serviceengine/{uuid}/flowtablestat6/
GET
GET /serviceengine/{uuid}/selogagentstats/
GET
GET /serviceengine/{uuid}/selogagentoperstats/
GET
GET /serviceengine/{uuid}/selogagentcontrollerinterfacestats/
GET
GET /serviceengine/{uuid}/selogagentnetworkstreamstats/
GET
GET /serviceengine/{uuid}/sessionkeyforwarderstats/
GET
GET /serviceengine/{uuid}/sessionkeyforwarderstats/details/
GET
GET /serviceengine/{uuid}/nicinfo/